net.corda.node.services.events

## Class ScheduledActivityObserver

- net.corda.node.services.events.ScheduledActivityObserver

-     public class ScheduledActivityObserver

  This observes the vault and schedules and unschedules activities appropriately based on state production and consumption.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduledActivityObserver(ServiceHubInternal services)` This observes the vault and schedules and unschedules activities appropriately based on state production and consumption.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceHubInternal` | `getServices()`

- - ### Constructor Detail

    - #### ScheduledActivityObserver

          public ScheduledActivityObserver(ServiceHubInternal services)

      This observes the vault and schedules and unschedules activities appropriately based on state production and consumption.

  - ### Method Detail

    - #### getServices

          public ServiceHubInternal getServices()